> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clinkbill.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询优惠券

> Get detailed information about a specific coupon, including its promotion codes.



## OpenAPI

````yaml GET /coupon/{couponId}
openapi: 3.1.0
info:
  title: Clink API
  description: >-
    Official API documentation for Clink's payment processing platform. This API
    enables merchants to create and manage payment sessions, handle
    subscriptions, and process transactions.
  version: 1.0.0
servers:
  - url: https://uat-api.clinkbill.com/api/
security:
  - ApiKeyAuth: []
paths:
  /coupon/{couponId}:
    get:
      summary: Get Coupon
      description: >-
        Get detailed information about a specific coupon, including its
        promotion codes.
      operationId: getCoupon
      parameters:
        - $ref: '#/components/parameters/TimestampHeader'
        - name: couponId
          in: path
          description: Unique identifier of the coupon
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Coupon details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RApiCouponDetailResponse'
            '*/*':
              schema:
                $ref: '#/components/schemas/RApiCouponDetailResponse'
        '401':
          description: Unauthorized
          content:
            '*/*':
              schema:
                type: string
components:
  parameters:
    TimestampHeader:
      name: X-Timestamp
      in: header
      required: true
      description: >-
        Current timestamp in milliseconds since Unix epoch (required for request
        signing)
      schema:
        type: string
        example: '1783513683000'
  schemas:
    RApiCouponDetailResponse:
      type: object
      properties:
        code:
          type: integer
          description: Response status code, 200 when success
          format: int32
          example: 200
        msg:
          type: string
          example: success
          description: Brief description of what happened, 'success' when happy case
        data:
          $ref: '#/components/schemas/ApiCouponDetailResponse'
      description: Body of the response message
    ApiCouponDetailResponse:
      type: object
      properties:
        couponId:
          type: string
          description: Unique identifier of the coupon
        couponName:
          type: string
          description: Coupon name
        discountType:
          type: string
          description: Discount type
          enum:
            - percentage
            - fixed_amount
        percentage:
          type: number
          description: Percentage discount
        fixedAmounts:
          type: object
          description: Fixed discount amount by currency
          additionalProperties:
            type: number
        durationType:
          type: string
          description: Discount duration type
          enum:
            - once
            - repeating
            - forever
        durationMonths:
          type: integer
          format: int32
          description: Number of billing periods for repeating coupons
        maxRedemptionCount:
          type: integer
          format: int32
          description: Maximum total redemptions for this coupon
        redeemedCount:
          type: integer
          format: int32
          description: Number of times this coupon has been redeemed
        validPeriodEnd:
          type: integer
          format: int64
          description: >-
            Coupon validity end time as a 13-digit Unix timestamp in
            milliseconds
          example: 1754819711382
        mirroring:
          type: boolean
          description: Whether this record is mirrored data
        terms:
          type: string
          description: Human-readable coupon terms
        createTime:
          type: integer
          format: int64
          description: Coupon creation time as a 13-digit Unix timestamp in milliseconds
          example: 1754819711382
        valid:
          type: boolean
          description: Whether this coupon is currently valid
        applyType:
          type: string
          description: Coupon applicability type
          enum:
            - none
            - product
            - price
        applicableProducts:
          type: array
          description: Product IDs this coupon applies to
          items:
            type: string
        applicablePrices:
          type: object
          description: Price IDs this coupon applies to, grouped by product ID
          additionalProperties:
            type: array
            items:
              type: string
        promotionCodeList:
          type: array
          description: Promotion codes attached to this coupon
          items:
            $ref: '#/components/schemas/ApiPromotionCodeInfoResponse'
        currency:
          type: string
          description: First currency from fixedAmounts, when available
        amount:
          type: number
          description: First amount from fixedAmounts, when available
    ApiPromotionCodeInfoResponse:
      type: object
      properties:
        couponId:
          type: string
          description: Associated coupon ID
        promotionCodeId:
          type: string
          description: Unique identifier of the promotion code
        code:
          type: string
          description: Customer-facing promotion code
        status:
          type: string
          description: Promotion code status
          enum:
            - active
            - inactive
            - archived
          example: active
        firstOrderOnly:
          type: boolean
          description: Whether this promotion code is limited to first orders only
        redemptionCount:
          type: integer
          format: int32
          description: Number of times this promotion code has been redeemed
        maxRedemptionLimit:
          type: integer
          format: int32
          description: Maximum total redemptions for this promotion code
        validPeriodEnd:
          type: integer
          format: int64
          description: >-
            Promotion code validity end time as a 13-digit Unix timestamp in
            milliseconds
          example: 1754819711382
        createTime:
          type: integer
          format: int64
          description: >-
            Promotion code creation time as a 13-digit Unix timestamp in
            milliseconds
          example: 1754819711382
        mirroring:
          type: boolean
          description: Whether this record is mirrored data
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Your secret API key obtained from the Clink dashboard (Developers
        section)

````